[SRU] System can't detect external headset in the codec of Conexant

Bug #1869819 reported by hugh chao on 2020-03-31
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Critical
hugh chao
Bionic
Undecided
Unassigned
pulseaudio (Ubuntu)
High
hugh chao
Bionic
High
hugh chao
Focal
High
hugh chao

Bug Description

[Impact]
In some hp's devices, there are two audio jacks(one headset and one headphone) in the audio interface which is using the codec of Conexant, and apparently it's not working, the system can't detect the headset in current codec.

[Test Case]
1. Insert 4 rings(3 stripes) headset into front audio port (headset icon)
2. Check System Setting->Sound->Output

[Expected result]
Can detect external headset

[Actual result]
Only shows internal speaker.
External headset microphone was detected.
Another front audio port (earphone icon) works fine.

[Regression Potential]
Low.

[Failure rate]
100%

[Additional information]
system-product-name: HP EliteDesk 800 G5 SFF
CPU: Intel(R) Core(TM) i7-9700 CPU @ 3.00GHz (8x)
GPU: 00:02.0 VGA compatible controller [0300]: Intel Corporation Device [8086:3e98] (rev 02)
OS-version: 18.04
kernel-version: 4.15.0-1065-oem
pulseaudio-version: 1:11.1-1ubuntu7.2

Upstream issue: https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/merge_requests/272

Ubuntu-Focal-Source:
https://code.launchpad.net/~hugh712/ubuntu/+source/pulseaudio/+git/pulseaudio/+ref/focal-1869819

PPA: https://launchpad.net/~hugh712/+archive/ubuntu/sru-1869819

hugh chao (hugh712) on 2020-03-31
affects: pulseaudio (Ubuntu) → oem-priority
Changed in oem-priority:
assignee: nobody → hugh chao (hugh712)
status: New → Confirmed
importance: Undecided → Critical
hugh chao (hugh712) on 2020-03-31
description: updated
description: updated
hugh chao (hugh712) on 2020-03-31
summary: - System can't detect external headset in the codec of Conexant
+ [SRU] System can't detect external headset in the codec of Conexant
tags: added: stella
tags: added: originate-from-1856828
hugh chao (hugh712) on 2020-03-31
description: updated
hugh chao (hugh712) on 2020-03-31
description: updated
Changed in pulseaudio (Ubuntu Bionic):
status: New → Triaged
Changed in pulseaudio (Ubuntu Focal):
status: New → Triaged
Changed in pulseaudio (Ubuntu Bionic):
assignee: nobody → hugh chao (hugh712)
Changed in pulseaudio (Ubuntu Focal):
assignee: nobody → hugh chao (hugh712)
Daniel van Vugt (vanvugt) wrote :

> 1. Insert 3-ring headset into front audio port (headset icon)

Is that right? Unless it's a strange-shaped 3-ring plug I think you will find it needs to have 4 rings to be a working (stereo) headset.

hugh chao (hugh712) wrote :

I think 3 stripes = 4 rings, and we are talking the same thing, I will make it more clear

description: updated
Daniel van Vugt (vanvugt) wrote :

Cool.

Also keep in mind there are multiple different standards for 4-ring plugs. And no guarantee your headset and computer use the same standard :/

https://www.cablechick.com.au/blog/understanding-trrs-and-audio-jacks/

hugh chao (hugh712) on 2020-04-01
description: updated
description: updated
hugh chao (hugh712) wrote :

upload patch for focal

tags: added: verification-needed
hugh chao (hugh712) on 2020-04-07
Changed in pulseaudio (Ubuntu Focal):
status: Triaged → In Progress

The attachment "dual-jacks.patch" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Mathew Hodson (mhodson) on 2020-04-08
Changed in pulseaudio (Ubuntu Bionic):
importance: Undecided → High
Changed in pulseaudio (Ubuntu Focal):
importance: Undecided → High
hugh chao (hugh712) on 2020-04-08
Changed in pulseaudio (Ubuntu Bionic):
status: Triaged → In Progress
hugh chao (hugh712) wrote :

upload patch for bionic

Changed in pulseaudio (Ubuntu Focal):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

Thanks, I've uploaded to focal and will do bionic next. For futur reference, changes shouldn't be applied inline but added as patches to debian/patches. Please also include some description/bug reference when doing that

As a reference that's how I updated the changeset before upload
https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio/commit/?id=af4cc70d

Sebastien Bacher (seb128) wrote :

Could you rework the debdiff for bionic to use debian/patches and have a shorter debian/changelog description? The changelog should be a summary that the users will see for the update, the technical details can go to the patch header itself

hugh chao (hugh712) wrote :

here you go,
upload patch for bionic again in debian/patches

Sebastien Bacher (seb128) wrote :

The focal fix landed now (but didn't autoclose since the bug was not mentioned in the changelog)

Changed in pulseaudio (Ubuntu Focal):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

Thanks for the bionic patch, please read https://packaging.ubuntu.com/html/fixing-a-bug.html for next time though and provide a proper debdiff

I'm fixing your changes and uploaded now, what was missing is
- only the patch to the upstream code should be in debian/patches, the changelog needs to be directly updates
- the patch should be listed in the serie
- the bug reference should be listed as 'lp: #...' in the changelog (especially important for a SRU since the bug is what ensure the testing process can be followed)

Changed in pulseaudio (Ubuntu Bionic):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

Oh, also there was already a 1:11.1-1ubuntu7.5 in bionic-proposed so the update needed to be rebased on this one and become ubuntu7.6, I did that as well now

hugh chao (hugh712) wrote :

@Seb

Sorry for the inconvenience, I will be more careful next time,
thank you!

Mathew Hodson (mhodson) on 2020-04-18
Changed in pulseaudio (Ubuntu Bionic):
status: Fix Committed → In Progress

Hello hugh, or anyone else affected,

Accepted pulseaudio into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:11.1-1ubuntu7.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pulseaudio (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
hugh chao (hugh712) wrote :

verified pulseaudio version - 1:11.1-1ubuntu7.6 in a hp sff[0] which has dual front jacks, works well, didn't find any Regression potential.

[0]https://www8.hp.com/h20195/v2/GetPDF.aspx/4AA7-5395EEAP.pdf

hugh chao (hugh712) wrote :

verified pulseaudio version - 1:11.1-1ubuntu7.6 in a hp dm[0] which has dual front jacks, works well, didn't find any Regression potential.

[0]https://www8.hp.com/h20195/v2/GetPDF.aspx/4AA7-5436EEAP.pdf

hugh chao (hugh712) wrote :

verified pulseaudio version - 1:11.1-1ubuntu7.6 in a dell laptop[0] which only has one headset jack, works well, didn't find any Regression potential.

[0] https://www.dell.com/en-us/work/shop/dell-laptops-and-notebooks/latitude-5501-business-laptop/spd/latitude-15-5501-laptop

tags: added: verification-done-bionic
removed: verification-needed-bionic
Mathew Hodson (mhodson) on 2020-04-24
tags: removed: verification-needed
Hui Wang (hui.wang) wrote :

Looks like this SRU introduced a regression in the focal and a couple of related bugs are filed by ubuntu 20.04 users (at least most of Dell machines will be affected):

https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1876065
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1875249
https://bugs.launchpad.net/bugs/1873384
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1875032
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1875714

Although this SRU is based on my work of Jan 2019 (https://lists.freedesktop.org/archives/pulseaudio-discuss/2019-January/030761.html), it has been a long time, I already forgot the detail about my patches.

So Kaiheng and Hugh, please take a look at this issue again, maybe the regression was already in my original patches or maybe your rebasement on focal introduced the regression.

thx.

hugh chao (hugh712) wrote :

@Kai,

Please help to take a look on #18,
then let's decide next step, thanks.

Sebastien Bacher (seb128) wrote :

Could you also verify if the bionic SRU create a regression? In which case we should mark it as verification-failed

hugh chao (hugh712) wrote :

For what I observed (both focal and bionic), I'm not sure (and I think it's not) it's a regression, due the the bug it's already there before this patch. And I tried one hp dm, one hp sff, one hp laptop and one dell laptop, only can be reproduced in Dell laptop.

For what I observed:

[[[1:11.1-1ubuntu7.5]]]
Before I plugged headset there is only one device shown on input device, which is

1. Internal Microphone - Built-in Audio

After I plugged headset into the jack, dialog shown up, I choice "headset", then three input device shown up, which are:

1. Headset Microphone - Built-in Audio
2. Internal Microphone - Built-in Audio
3. Microphone - Built-in Audio

[[[1:11.1-1ubuntu7.6]]]
Before I plugged headset there are two devices shown on input device, which are

1. Headset Microphone - Built-in Audio
2. Internal Microphone - Built-in Audio

After I plugged headset into the jack, dialog shown up, I choice "headset", then three input device shown up, which are:

1. Headset Microphone - Built-in Audio
2. Internal Microphone - Built-in Audio
3. Microphone - Built-in Audio

[[[result]]]
No matter which cases, once you choice (3. Microphone - Built-in Audio), then there is no headset output audio. Select others, the audio output came back.

hugh chao (hugh712) wrote :

@Kai,

What do you think on #21, it's a regression or not?

Kai-Heng Feng (kaihengfeng) wrote :

Seb, what should we do if I have a fix in hand?
Tag it failed, then re-upload one with proper fix?

Łukasz Zemczak (sil2100) wrote :

If this upload introduced, or resurfaced, a regression, let's mark it as verification-failed and work on a fix. Usually what happens is that the uploader prepares a follow up upload with the required fixes, with the source package built with -v so that the previous version is also included in the .changes file.

Anyway, please look into the mentioned issues - and remember those need to be fixed (if feasible) in groovy, focal and bionic at least. I'll mark the bug as verification-failed for now.

tags: added: verification-failed-bionic
removed: verification-done-bionic
hugh chao (hugh712) wrote :

currently, @kai is working on the new patch..

Changed in pulseaudio (Ubuntu Bionic):
status: Fix Committed → In Progress
tags: added: regression-proposed
Jamie Strandboge (jdstrand) wrote :

FYI, there is a pending update that will go out either tomorrow or early next week. Please base your next upload on this update.

Chih-Hsyuan Ho (chih) wrote :

@Jamie, just want to highlight that there is an urgent fix in Bionic to an OEM platform which is waiting for this update to be done before we can land it. It'd be very much appreciated if we can somehow speed up the process. Thank you.

Rajasekharan N (rajasekharan) wrote :

@Kai-Heng Feng (kaihengfeng)

Verified. Applied the patch for regression. Bug #1876238 (duplicate of bug #1875252). Dell Inspiron 1525.

URL for the patch: https://launchpad.net/~kaihengfeng/+archive/ubuntu/fix-lp1869819

Audio is working fine now. Checked rebooting multiple times. No issues now.

Thank you very much.

Jamie Strandboge (jdstrand) wrote :

FYI, the upload to bionic-proposed was superseded by https://usn.ubuntu.com/4355-1/. Please rebase your changes on that and reupload.

Kai-Heng Feng (kaihengfeng) wrote :

IIUC, I should attach new debdiff for both Focal and Bionic, am I right?

Daniel van Vugt (vanvugt) wrote :

It appears the original fix for this bug is safe. It was introduced in 13.99.1-1ubuntu3

What regressed for focal was bug 1876065, the fix to the fix for this bug. So please use bug 1876065 for focal. But then since this bug is still open for bionic use this bug for bionic.

Kai-Heng Feng (kaihengfeng) wrote :

debdiff for Bionic.

Daniel van Vugt (vanvugt) wrote :

It's now in git:

https://git.launchpad.net/~ubuntu-audio-dev/pulseaudio/log/?h=ubuntu-bionic

But I would recommend adding a blank line in the changelog entry. You have full access to the git repo so please feel free to commit there.

Chih-Hsyuan Ho (chih) wrote :

@Daniel, when can we expect the this fix in pulseaudio will show up in -updates channel for Bionic? Thanks.

Mathew Hodson (mhodson) on 2020-05-20
tags: removed: regression-proposed
Timo Aaltonen (tjaalton) wrote :

Hello hugh, or anyone else affected,

Accepted pulseaudio into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:11.1-1ubuntu7.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pulseaudio (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-failed-bionic
Danny Hsu (dannyhsu) wrote :

verified pulseaudio version - 1:11.1-1ubuntu7.7 in a hp sff[0] which has dual front jacks, works well, didn't find any Regression potential.

[0]https://www8.hp.com/h20195/v2/GetPDF.aspx/4AA7-5395EEAP.pdf

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: removed: verification-needed
hugh chao (hugh712) wrote :

it's 1:11.1-1ubuntu7.8 in #40, I think it's a typo

Brian Murray (brian-murray) wrote :

Instead of assuming its a typo I'd confirmation that 1:11.1-1ubuntu7.8 was actually tested.

tags: added: verification-needed-bionic
removed: verification-done-bionic
hugh chao (hugh712) wrote :

sorry, I shouldn't use such unclear word,
I did check the version with Danny yesterday,
pulseaudio version 1:11.1-1ubuntu7.8 works well at the same machine.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:11.1-1ubuntu7.8

---------------
pulseaudio (1:11.1-1ubuntu7.8) bionic; urgency=medium

  [Kai-Heng Feng]
  * alsa-mixer: Support dual Front Headphone Jack (lp: #1869819)
  * alsa-mixer: Handle the index for ALSA mixer jack identifiers
  [Tanu Kaskinen <email address hidden>]
  * alsa-mixer: autodetect the ELD device
  * alsa-mixer: autodetect the HDMI jack PCM device
  * alsa-mixer: add hw_device_index to pa_alsa_mapping

 -- Kai-Heng Feng <email address hidden> Thu, 14 May 2020 13:26:03 +0800

Changed in pulseaudio (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Rex Tsai (chihchun) on 2020-06-03
Changed in oem-priority:
status: Confirmed → Fix Committed
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers